Bug 1309703 - Review Request: libratbag - a library to configure programmable mice
Review Request: libratbag - a library to configure programmable mice
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 09:11 EST by Benjamin Tissoires
Modified: 2017-06-09 14:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-17 17:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
peter.hutterer: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Benjamin Tissoires 2016-02-18 09:11:32 EST
Spec URL: https://people.freedesktop.org/~tissoire/libratbag.spec
SRPM URL: https://people.freedesktop.org/~tissoire/libratbag-0.2-4.fc23.src.rpm

Description: libratbag is a library that allows to configure programmable
mice. The library aims at being generic and currently supports quite some Logitech mice, a Roccat, an Etekcity and some developers are working at enabling different brands.

Fedora Account System Username: bentiss

Hi,

I just pushed out libratbag 0.2 yesterday. I think it would be good for Fedora to ship it the sooner so that the desktop guys can work on some UI for KDE and Gnome.
Comment 1 Peter Hutterer 2016-02-18 22:13:53 EST
Couple of issues with the spec file:

summary should be capitalized correctly, it's currently a mix of upper and lowercase

no blank line after Summary

That Source0 is a bit odd, looks like https://github.com/libratbag/libratbag/archive/v0.2.tar.gz is sufficient?

BuildRequires: mtdev-devel?

IMO we should package libratbag/liblur as separate packages

Typo in the last changelog msg, but best to compress them into a single  "Initial package" with a -1 release anyway.

rpmlint says:
libratbag.spec: W: patch-not-applied Patch0: 0001-tools-remove-no-install-flag-for-lur-command.patch
Comment 2 Benjamin Tissoires 2016-02-22 13:41:16 EST
Updating the bug with my latest changes, I will need more upstream first before actually have a Fedora-ready package.

Spec URL: https://people.freedesktop.org/~tissoire/libratbag-rpm-v2/libratbag.spec
SRPM URL: https://people.freedesktop.org/~tissoire/libratbag-rpm-v2/libratbag-0.2-1.fc23.src.rpm


(In reply to Peter Hutterer from comment #1)
> summary should be capitalized correctly, it's currently a mix of upper and
> lowercase

done

> no blank line after Summary

removed

> That Source0 is a bit odd, looks like
> https://github.com/libratbag/libratbag/archive/v0.2.tar.gz is sufficient?

I used the ps2emu rename Lyude is making, but the way I do it in hid-replay is actually simpler:
https://github.com/libratbag/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

> BuildRequires: mtdev-devel?

oops, removed

> IMO we should package libratbag/liblur as separate packages

OK. I tried to make it in this version:
liblur gets its own package (-n in %package). It feels weird to not have a separate package for it, so I'd like some input here.
An other solution is to not use the '-n' which gives libratbag-liblur as package name, which is less than optimal.

> Typo in the last changelog msg, but best to compress them into a single 
> "Initial package" with a -1 release anyway.

OK, done.

> rpmlint says:
> libratbag.spec: W: patch-not-applied Patch0:
> 0001-tools-remove-no-install-flag-for-lur-command.patch

That's because I use the "git am %{patches}" snippet :(

Anyway, I think I'll just release a new version of libratbag when upstream adds proper versioning for liblur and documentation of the 2 tools we provide (lur-command and ratbag-command).

Also, should I also build and ship the documentation we generate? (in a -doc package?)
Comment 3 Upstream Release Monitoring 2016-02-22 13:51:28 EST
bentiss's scratch build of libratbag-0.2-1.fc23.src.rpm for f23-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13096326
Comment 5 Peter Hutterer 2017-05-05 01:53:54 EDT
> rpmlint libinput libratbag-0.7-1.fc27.src.rpm libratbag.spec 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

scratch build succeeded for F26:
https://koji.fedoraproject.org/koji/taskinfo?taskID=19405965

Add this bug number to the changelog please, it makes it easier to find in the future.

You don't appear to be shipping the documentation (good), so you should just disable it and drop the dependencies. We can do that on the next build though.

Otherwise it looks good, review set to ACCEPT
Comment 6 Benjamin Tissoires 2017-05-05 03:08:03 EDT
(In reply to Peter Hutterer from comment #5)
> Add this bug number to the changelog please, it makes it easier to find in
> the future.

done

> You don't appear to be shipping the documentation (good), so you should just
> disable it and drop the dependencies. We can do that on the next build
> though.

OK, done locally.

> 
> Otherwise it looks good, review set to ACCEPT

Thanks. Shouldn't you also add the result of fedora-review here? (or this might have changed from last time).
Comment 7 Stephen Kitt 2017-05-05 04:52:12 EDT
(In reply to Peter Hutterer from comment #5)
> You don't appear to be shipping the documentation (good), so you should just
> disable it and drop the dependencies. We can do that on the next build
> though.

Just curious, why "(good)"? Is the documentation currently unworthy of being shipped?
Comment 8 Peter Hutterer 2017-05-05 06:23:33 EDT
it's developer documentation only (doxygen), so it's better to build it locally from the git sources because that's what you'd have to develop against anyway. To the user, there's little point to install that package.
Comment 9 Peter Hutterer 2017-05-09 00:42:48 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

  [NOTE: not sure what happened there, works fine from the koji build, some issue with mock on my system]

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in liblur ,
     liblur-devel , libratbag-debuginfo
     [Note: False positive, liblur is independent of libratbag]
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.1 starting (python version = 3.6.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.1
INFO: Mock Version: 1.4.1
Finish: chroot init
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.1
INFO: Mock Version: 1.4.1
Finish: chroot init
INFO: installing package(s): /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/libratbag-devel-0.7-1.fc27.x86_64.rpm /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/liblur-devel-0.7-1.fc27.x86_64.rpm /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/libratbag-debuginfo-0.7-1.fc27.x86_64.rpm /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/liblur-0.7-1.fc27.x86_64.rpm /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/libratbag-0.7-1.fc27.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/systemd-nspawn -q -M f1e886100d454b7e9b5f62ad3c921caa -D /var/lib/mock/fedora-rawhide-x86_64-bootstrap/root -a --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/builddir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007" --setenv=PS1=<mock-chroot> \s-\v\$  --setenv=LANG=en_AU.utf8 --setenv=LC_MESSAGES=C /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 27 --disableplugin=local --setopt=deltarpm=false install /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/libratbag-devel-0.7-1.fc27.x86_64.rpm /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/liblur-devel-0.7-1.fc27.x86_64.rpm /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/libratbag-debuginfo-0.7-1.fc27.x86_64.rpm /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/liblur-0.7-1.fc27.x86_64.rpm /home/whot/tmp/2017-05-09-Tue/1309703-libratbag/results/libratbag-0.7-1.fc27.x86_64.rpm

Rpmlint
-------
Checking: libratbag-0.7-1.fc27.x86_64.rpm
          libratbag-devel-0.7-1.fc27.x86_64.rpm
          liblur-0.7-1.fc27.x86_64.rpm
          liblur-devel-0.7-1.fc27.x86_64.rpm
          libratbag-debuginfo-0.7-1.fc27.x86_64.rpm
          libratbag-0.7-1.fc27.src.rpm
libratbag.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
libratbag.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
libratbag-devel.x86_64: W: only-non-binary-in-usr-lib
libratbag-devel.x86_64: W: no-documentation
liblur.x86_64: W: spelling-error Summary(en_US) Logitech -> Technologist
liblur.x86_64: W: spelling-error %description -l en_US un -> UN, nu, in
liblur.x86_64: W: no-documentation
liblur.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
liblur.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
liblur.x86_64: W: no-manual-page-for-binary lur-command
liblur-devel.x86_64: W: only-non-binary-in-usr-lib
liblur-devel.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 12 warnings.




Requires
--------
liblur (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    liblur.so.3()(64bit)
    liblur.so.3(LIBLUR_0.4.0)(64bit)
    libm.so.6()(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    rtld(GNU_HASH)

liblur-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    liblur(x86-64)
    liblur.so.3()(64bit)

libratbag (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    libc.so.6()(64bit)
    libevdev.so.2()(64bit)
    libevdev.so.2(LIBEVDEV_1)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libratbag.so.4()(64bit)
    libratbag.so.4(LIBRATBAG_0.5.0)(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    rtld(GNU_HASH)

libratbag-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libratbag(x86-64)
    libratbag.so.4()(64bit)

libratbag-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
liblur:
    liblur
    liblur(x86-64)
    liblur.so.3()(64bit)
    liblur.so.3(LIBLUR_0.4.0)(64bit)

liblur-devel:
    liblur-devel
    liblur-devel(x86-64)
    pkgconfig(liblur)

libratbag:
    libratbag
    libratbag(x86-64)
    libratbag.so.4()(64bit)
    libratbag.so.4(LIBRATBAG_0.5.0)(64bit)

libratbag-devel:
    libratbag-devel
    libratbag-devel(x86-64)
    pkgconfig(libratbag)

libratbag-debuginfo:
    libratbag-debuginfo
    libratbag-debuginfo(x86-64)



Source checksums
----------------
https://github.com/libratbag/libratbag/archive/v0.7/libratbag-0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 799efcee2f55c81165b84e575634708e76579d4c79727162b122ad285eba037c
  CHECKSUM(SHA256) upstream package : 799efcee2f55c81165b84e575634708e76579d4c79727162b122ad285eba037c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1309703
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 10 Gwyn Ciesla 2017-05-09 08:14:23 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/libratbag
Comment 11 Fedora Update System 2017-05-09 10:15:46 EDT
libratbag-0.8-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89bc5fe09c
Comment 12 Fedora Update System 2017-05-09 10:15:56 EDT
libratbag-0.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e979f1a58
Comment 13 Fedora Update System 2017-05-09 10:16:02 EDT
libratbag-0.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-83dadeb50c
Comment 14 Fedora Update System 2017-05-10 03:04:50 EDT
libratbag-0.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e979f1a58
Comment 15 Fedora Update System 2017-05-10 06:44:05 EDT
libratbag-0.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-83dadeb50c
Comment 16 Fedora Update System 2017-05-11 22:11:42 EDT
libratbag-0.8-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89bc5fe09c
Comment 17 Fedora Update System 2017-05-17 17:03:07 EDT
libratbag-0.8-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2017-05-18 16:58:44 EDT
libratbag-0.8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2017-06-09 14:53:02 EDT
libratbag-0.8-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.